%%ItemTitle%%

bitemesoftware RealWorld
Welcome to bitemesoftware RealWorld

RealWorld is a sample application built as a demonstration of HelpStudio functionality, including context sensitive help and dynamic help.

Screen Shot

RealWorld screenshot

Functional Overview

The RealWorld sample application includes the following areas of functionality:

Customers

Adding a customer

Editing a customer

Deleting a customer

Employees

Adding an employee

Editing an employee

Deleting an employee

Products

Adding a product

Editing a product

Deleting a product

Suppliers

Adding a supplier

Editing a supplier

Deleting a supplier

Orders

Adding an order

Editing an order

Deleting an order

Categories

Adding a new category

Editing a category

Deleting a category

Shipping

Adding a new shipper

Editing a shipper

Deleting a shipper

Scribble

Changing the line color

Changing the line width

See Also
The RealWorld User Interface

Getting Started

Opening Views

©2015 bitemesoftware Limited. Send Feedback


The RealWorld User Interface

The RealWorld user interface consists of several areas, outlined below:

RealWorld User Interface Areas

RealWorld User Interface Areas

Standard toolbar | Contains common action buttons and shortcuts to RealWorld views
Browser toolbar | Contains commands for working with the RealWorld browser
Shortcuts | Displays a list of views and Internet shortcuts
Dynamic help | Displays context help on the current view
Workspace | Displays the current view, it could be a browser page, or a data entry window

See Also

Getting Started

Opening Views

©2015 bitemesoftware Limited. Send Feedback


Opening Views

RealWorld has several core views and a basic browser interface. All core features can be accessed by the Shortcuts window displayed on the left hand side of the RealWorld user interface.

To open, simply click the corresponding node in the shortcuts treeview. If the window is not currently open, or has been closed, it will be opened. If it is already open, then it will be activated.

Clicking a internet shortcut will open/activate the browser window and display the specified page. Only one browser window can be open at any one time.

Displaying a list of open windows

  • Open the Window menu. A list of the first 10 open windows will be listed.

- or -

  1. Open the Window menu and click More Windows.
  2. The dialog displayed will list all open windows, allowing you to easily view and switch between windows
See Also

Views

Customers
Employees
Products
Suppliers
Orders
Browser

©2015 bitemesoftware Limited. Send Feedback


The customers view

Not Generated in Evaluation Version

This help file was generated using an evaluation version of HelpStudio. In the evaluation version of HelpStudio the number of pages of each type that are output in full is limited. The pages below are those that have been fully generated in this help system.

Fully Generated Topic Pages

Welcome to bitemesoftware RealWorld
The RealWorld User Interface
Opening Views
CommandBar Reference
HotKeys Reference
Adding a customer
Editing a customer
Deleting a customer
Adding an employee
Editing an employee
Deleting an employee
Adding a product
Editing a product
Deleting a product
Adding a supplier
Editing a supplier
Deleting a supplier
Adding an order
Editing an order
Deleting an order


The employees view

Not Generated in Evaluation Version

This help file was generated using an evaluation version of HelpStudio. In the evaluation version of HelpStudio the number of pages of each type that are output in full is limited. The pages below are those that have been fully generated in this help system.

Fully Generated Topic Pages

Welcome to bitemesoftware RealWorld
The RealWorld User Interface
Opening Views
CommandBar Reference
HotKeys Reference
Adding a customer
Editing a customer
Deleting a customer
Adding an employee
Editing an employee
Deleting an employee
Adding a product
Editing a product
Deleting a product
Adding a supplier
Editing a supplier
Deleting a supplier
Adding an order
Editing an order
Deleting an order


The products view

Not Generated in Evaluation Version

This help file was generated using an evaluation version of HelpStudio. In the evaluation version of HelpStudio the number of pages of each type that are output in full is limited. The pages below are those that have been fully generated in this help system.

Fully Generated Topic Pages

Welcome to bitemesoftware RealWorld
The RealWorld User Interface
Opening Views
CommandBar Reference
HotKeys Reference
Adding a customer
Editing a customer
Deleting a customer
Adding an employee
Editing an employee
Deleting an employee
Adding a product
Editing a product
Deleting a product
Adding a supplier
Editing a supplier
Deleting a supplier
Adding an order
Editing an order
Deleting an order


The suppliers view

Not Generated in Evaluation Version

This help file was generated using an evaluation version of HelpStudio. In the evaluation version of HelpStudio the number of pages of each type that are output in full is limited. The pages below are those that have been fully generated in this help system.

Fully Generated Topic Pages

Welcome to bitemesoftware RealWorld
The RealWorld User Interface
Opening Views
CommandBar Reference
HotKeys Reference
Adding a customer
Editing a customer
Deleting a customer
Adding an employee
Editing an employee
Deleting an employee
Adding a product
Editing a product
Deleting a product
Adding a supplier
Editing a supplier
Deleting a supplier
Adding an order
Editing an order
Deleting an order


The orders view

Not Generated in Evaluation Version

This help file was generated using an evaluation version of HelpStudio. In the evaluation version of HelpStudio the number of pages of each type that are output in full is limited. The pages below are those that have been fully generated in this help system.

Fully Generated Topic Pages

Welcome to bitemesoftware RealWorld
The RealWorld User Interface
Opening Views
CommandBar Reference
HotKeys Reference
Adding a customer
Editing a customer
Deleting a customer
Adding an employee
Editing an employee
Deleting an employee
Adding a product
Editing a product
Deleting a product
Adding a supplier
Editing a supplier
Deleting a supplier
Adding an order
Editing an order
Deleting an order


Browser

Not Generated in Evaluation Version

This help file was generated using an evaluation version of HelpStudio. In the evaluation version of HelpStudio the number of pages of each type that are output in full is limited. The pages below are those that have been fully generated in this help system.

Fully Generated Topic Pages

Welcome to bitemesoftware RealWorld
The RealWorld User Interface
Opening Views
CommandBar Reference
HotKeys Reference
Adding a customer
Editing a customer
Deleting a customer
Adding an employee
Editing an employee
Deleting an employee
Adding a product
Editing a product
Deleting a product
Adding a supplier
Editing a supplier
Deleting a supplier
Adding an order
Editing an order
Deleting an order


Adding a customer
Customers > Adding a customer
  1. Display the customers view and click the Add [image] button.
See Also
Editing a customer
Deleting a customer

©2015 bitemesoftware Limited. Send Feedback


Editing a customer
Customers > Editing a customer
  1. Display the customers view and select a customer from the list
  2. Click the Edit [image] button.
See Also
Adding a customer
Deleting a customer

©2015 bitemesoftware Limited. Send Feedback


Deleting a customer
Customers > Deleting a customer
  1. Display the customers view and select a customer from the list
  2. Click the Delete [image] button.
  3. Answer Yes to the confirmation prompt to remove the record.

Please note that removing a customer will not remove any related orders or modify other records linked to that customer.
See Also
Adding a customer
Editing a customer

©2015 bitemesoftware Limited. Send Feedback


Adding an employee
Employees > Adding an employee
  1. Display the employees view and click the Add [image] button.
See Also
Editing an employee
Deleting an employee

©2015 bitemesoftware Limited. Send Feedback


Editing an employee
Employees > Editing an employee
  1. Display the employees view and select an employee from the list
  2. Click the Edit [image] button.
See Also
Adding an employee
Deleting an employee

©2015 bitemesoftware Limited. Send Feedback


Deleting an employee
Employees > Deleting an employee
  1. Display the employees view and select an employee from the list
  2. Click the Delete [image] button.
  3. Answer Yes to the confirmation prompt to remove the record.

Please note that removing an employee will not remove any related orders or modify other records linked to that employee.
See Also
Adding an employee
Editing an employee

©2015 bitemesoftware Limited. Send Feedback


Adding a product
Products > Adding a product
  1. Display the products view and click the Add [image] button.
See Also
Editing a product
Deleting a product

©2015 bitemesoftware Limited. Send Feedback


Deleting a product
Products > Deleting a product
  1. Display the products view and select a product from the list
  2. Click the Delete [image] button.
  3. Answer Yes to the confirmation prompt to remove the record.

Please note that removing a product will not remove any related orders or modify other records linked to that customer.
See Also
Adding a product
Editing a product

©2015 bitemesoftware Limited. Send Feedback


Adding a supplier
Suppliers > Adding a supplier
  1. Display the suppliers view and click the Add [image] button.
See Also
Editing a supplier
Deleting a supplier

©2015 bitemesoftware Limited. Send Feedback


Editing a supplier
Suppliers > Editing a supplier
  1. Display the suppliers view and select a supplier from the list
  2. Click the Edit [image] button.
See Also
Adding a supplier
Deleting a supplier

©2015 bitemesoftware Limited. Send Feedback


Deleting a supplier
Suppliers > Deleting a supplier
  1. Display the suppliers view and select a supplier from the list
  2. Click the Delete [image] button.
  3. Answer Yes to the confirmation prompt to remove the record.

Please note that removing a supplier will not remove any related orders or modify other records linked to that customer.
See Also
Adding a supplier
Editing a supplier

©2015 bitemesoftware Limited. Send Feedback


Adding an order
Orders > Adding an order
  1. Display the orders view and click the Add [image] button.
See Also
Editing an order
Deleting an order

©2015 bitemesoftware Limited. Send Feedback


Editing an order
Orders > Editing an order
  1. Display the orders view and select an order from the list
  2. Click the Edit [image] button.
See Also
Adding an order
Deleting an order

©2015 bitemesoftware Limited. Send Feedback


Deleting an order
Orders > Deleting an order
  1. Display the orders view and select an order from the list
  2. Click the Delete [image] button.
  3. Answer Yes to the confirmation prompt to remove the record.

See Also
Adding an order
Editing an order

©2015 bitemesoftware Limited. Send Feedback


CommandBar Reference
Reference > CommandBar Reference
 | Displays a preview of the printed output
F1 | Displays the help file for bitemesoftware RealWorld
 | Displays the RealWorld default page
 | Displays the previous page in the browser history
 | Displays the next page in the browser history
Ctrl+A | Adds a new record
Ctrl+E | Edits the selected record
Ctrl+D | Removes the selected record
 | Send feedback on RealWorld to bitemesoftware
Ctrl+P | Prints the contents of the current window
Alt+F4 | Quit bitemesoftware RealWorld
See Also
HotKeys Reference

©2015 bitemesoftware Limited. Send Feedback


HotKeys Reference
Reference > HotKeys Reference
F1 | Displays the help file for bitemesoftware RealWorld
Ctrl+A | Adds a new record
Ctrl+E | Edits the selected record
Ctrl+D | Removes the selected record
Ctrl+P | Prints the contents of the current window
Alt+F4 | Quit bitemesoftware RealWorld
See Also
CommandBar Reference

©2015 bitemesoftware Limited. Send Feedback


Adding a new category

Not Generated in Evaluation Version

This help file was generated using an evaluation version of HelpStudio. In the evaluation version of HelpStudio the number of pages of each type that are output in full is limited. The pages below are those that have been fully generated in this help system.

Fully Generated Topic Pages

Welcome to bitemesoftware RealWorld
The RealWorld User Interface
Opening Views
CommandBar Reference
HotKeys Reference
Adding a customer
Editing a customer
Deleting a customer
Adding an employee
Editing an employee
Deleting an employee
Adding a product
Editing a product
Deleting a product
Adding a supplier
Editing a supplier
Deleting a supplier
Adding an order
Editing an order
Deleting an order


Editing a category

Not Generated in Evaluation Version

This help file was generated using an evaluation version of HelpStudio. In the evaluation version of HelpStudio the number of pages of each type that are output in full is limited. The pages below are those that have been fully generated in this help system.

Fully Generated Topic Pages

Welcome to bitemesoftware RealWorld
The RealWorld User Interface
Opening Views
CommandBar Reference
HotKeys Reference
Adding a customer
Editing a customer
Deleting a customer
Adding an employee
Editing an employee
Deleting an employee
Adding a product
Editing a product
Deleting a product
Adding a supplier
Editing a supplier
Deleting a supplier
Adding an order
Editing an order
Deleting an order


Deleting a category

Not Generated in Evaluation Version

This help file was generated using an evaluation version of HelpStudio. In the evaluation version of HelpStudio the number of pages of each type that are output in full is limited. The pages below are those that have been fully generated in this help system.

Fully Generated Topic Pages

Welcome to bitemesoftware RealWorld
The RealWorld User Interface
Opening Views
CommandBar Reference
HotKeys Reference
Adding a customer
Editing a customer
Deleting a customer
Adding an employee
Editing an employee
Deleting an employee
Adding a product
Editing a product
Deleting a product
Adding a supplier
Editing a supplier
Deleting a supplier
Adding an order
Editing an order
Deleting an order


Adding a new shipper

Not Generated in Evaluation Version

This help file was generated using an evaluation version of HelpStudio. In the evaluation version of HelpStudio the number of pages of each type that are output in full is limited. The pages below are those that have been fully generated in this help system.

Fully Generated Topic Pages

Welcome to bitemesoftware RealWorld
The RealWorld User Interface
Opening Views
CommandBar Reference
HotKeys Reference
Adding a customer
Editing a customer
Deleting a customer
Adding an employee
Editing an employee
Deleting an employee
Adding a product
Editing a product
Deleting a product
Adding a supplier
Editing a supplier
Deleting a supplier
Adding an order
Editing an order
Deleting an order


Editing a shipper

Not Generated in Evaluation Version

This help file was generated using an evaluation version of HelpStudio. In the evaluation version of HelpStudio the number of pages of each type that are output in full is limited. The pages below are those that have been fully generated in this help system.

Fully Generated Topic Pages

Welcome to bitemesoftware RealWorld
The RealWorld User Interface
Opening Views
CommandBar Reference
HotKeys Reference
Adding a customer
Editing a customer
Deleting a customer
Adding an employee
Editing an employee
Deleting an employee
Adding a product
Editing a product
Deleting a product
Adding a supplier
Editing a supplier
Deleting a supplier
Adding an order
Editing an order
Deleting an order


Deleting a shipper

Not Generated in Evaluation Version

This help file was generated using an evaluation version of HelpStudio. In the evaluation version of HelpStudio the number of pages of each type that are output in full is limited. The pages below are those that have been fully generated in this help system.

Fully Generated Topic Pages

Welcome to bitemesoftware RealWorld
The RealWorld User Interface
Opening Views
CommandBar Reference
HotKeys Reference
Adding a customer
Editing a customer
Deleting a customer
Adding an employee
Editing an employee
Deleting an employee
Adding a product
Editing a product
Deleting a product
Adding a supplier
Editing a supplier
Deleting a supplier
Adding an order
Editing an order
Deleting an order


Changing the line color

Not Generated in Evaluation Version

This help file was generated using an evaluation version of HelpStudio. In the evaluation version of HelpStudio the number of pages of each type that are output in full is limited. The pages below are those that have been fully generated in this help system.

Fully Generated Topic Pages

Welcome to bitemesoftware RealWorld
The RealWorld User Interface
Opening Views
CommandBar Reference
HotKeys Reference
Adding a customer
Editing a customer
Deleting a customer
Adding an employee
Editing an employee
Deleting an employee
Adding a product
Editing a product
Deleting a product
Adding a supplier
Editing a supplier
Deleting a supplier
Adding an order
Editing an order
Deleting an order


Changing the line width

Not Generated in Evaluation Version

This help file was generated using an evaluation version of HelpStudio. In the evaluation version of HelpStudio the number of pages of each type that are output in full is limited. The pages below are those that have been fully generated in this help system.

Fully Generated Topic Pages

Welcome to bitemesoftware RealWorld
The RealWorld User Interface
Opening Views
CommandBar Reference
HotKeys Reference
Adding a customer
Editing a customer
Deleting a customer
Adding an employee
Editing an employee
Deleting an employee
Adding a product
Editing a product
Deleting a product
Adding a supplier
Editing a supplier
Deleting a supplier
Adding an order
Editing an order
Deleting an order


Moving back in the history list

Not Generated in Evaluation Version

This help file was generated using an evaluation version of HelpStudio. In the evaluation version of HelpStudio the number of pages of each type that are output in full is limited. The pages below are those that have been fully generated in this help system.

Fully Generated Topic Pages

Welcome to bitemesoftware RealWorld
The RealWorld User Interface
Opening Views
CommandBar Reference
HotKeys Reference
Adding a customer
Editing a customer
Deleting a customer
Adding an employee
Editing an employee
Deleting an employee
Adding a product
Editing a product
Deleting a product
Adding a supplier
Editing a supplier
Deleting a supplier
Adding an order
Editing an order
Deleting an order


Moving forward in the history list

Not Generated in Evaluation Version

This help file was generated using an evaluation version of HelpStudio. In the evaluation version of HelpStudio the number of pages of each type that are output in full is limited. The pages below are those that have been fully generated in this help system.

Fully Generated Topic Pages

Welcome to bitemesoftware RealWorld
The RealWorld User Interface
Opening Views
CommandBar Reference
HotKeys Reference
Adding a customer
Editing a customer
Deleting a customer
Adding an employee
Editing an employee
Deleting an employee
Adding a product
Editing a product
Deleting a product
Adding a supplier
Editing a supplier
Deleting a supplier
Adding an order
Editing an order
Deleting an order


Editing a product
  1. Display the products view and select a product from the list
  2. Click the Edit [image] button.
See Also
Adding a product
Deleting a product

©2015 bitemesoftware Limited. Send Feedback